Retrieves the db report with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

db_report
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
db_report_type_id

db report type id

globally unique identifier

Required

user_id

Created user id

globally unique identifier
company_id

The Final company that own this report (If WO Report, the company that owns the installation/project)

globally unique identifier

Optionally required : company_id,company_code or node company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating db_report

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating db_report

company

Optionally required : company_id, company_code or company must be provided

db_table_name

TableName which db report linked to. Possible value are jobs or meeting

string

Optionally required : db_table_id or db_table_name must be provided

db_table_id

Table ID which db report linked to.

globally unique identifier

Optionally required : db_table_id or db_table_name must be provided

id_in_table

Item id of the table which db report linked to

globally unique identifier
date_last_update

Date last updated

date
reference_back_office

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "ca92d07d-ed62-46e6-9e7b-7b0dd66c9119",
  "db_report_type_id": "f2214552-fa0c-44cc-8190-ee5d2ec46816",
  "user_id": "a51f672f-ca8b-4543-8886-3b5b22df8370",
  "company_id": "94cff5c3-6db7-4494-b1a6-7eb807f149d9",
  "company_code": "sample string 5",
  "db_table_name": "sample string 6",
  "db_table_id": "9b3ae7ab-1365-48c0-af43-7524af55a35e",
  "id_in_table": "1fcc6899-ee6d-40dc-839c-bef0f1ead164",
  "date_last_update": "2026-11-02T19:53:31.9416277+00:00",
  "reference_back_office": "sample string 10",
  "modified_dateutc": "2026-11-02T19:53:31.9416277+00:00"
}